SecP224K1Point (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.math.ec.custom.sec

## Class SecP224K1Point

- java.lang.Object
- - org.bouncycastle.math.ec.ECPoint
  - - org.bouncycastle.math.ec.ECPoint.AbstractFp
    - - org.bouncycastle.math.ec.custom.sec.SecP224K1Point

-     public class SecP224K1Point
      extends ECPoint.AbstractFp

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.bouncycastle.math.ec.ECPoint

      `ECPoint.AbstractF2m, ECPoint.AbstractFp, ECPoint.F2m, ECPoint.Fp`

  - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.math.ec.ECPoint

      `curve, EMPTY_ZS, preCompTable, withCompression, x, y, zs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecP224K1Point(ECCurve curve, ECFieldElement x, ECFieldElement y)` Deprecated. Use ECCurve.createPoint to construct points
    `SecP224K1Point(ECCurve curve, ECFieldElement x, ECFieldElement y, boolean withCompression)` Deprecated. per-point compression property will be removed, refer `ECPoint.getEncoded(boolean)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ECPoint` | `add(ECPoint b)`
    `protected ECPoint` | `detach()`
    `ECPoint` | `negate()`
    `ECPoint` | `threeTimes()`
    `ECPoint` | `twice()`
    `ECPoint` | `twicePlus(ECPoint b)`

    - ### Methods inherited from class org.bouncycastle.math.ec.ECPoint.AbstractFp

      `getCompressionYTilde, satisfiesCurveEquation, subtract`

    - ### Methods inherited from class org.bouncycastle.math.ec.ECPoint

      `checkNormalized, createScaledPoint, equals, equals, getAffineXCoord, getAffineYCoord, getCurve, getCurveCoordinateSystem, getDetachedPoint, getEncoded, getEncoded, getInitialZCoords, getRawXCoord, getRawYCoord, getRawZCoords, getX, getXCoord, getY, getYCoord, getZCoord, getZCoords, hashCode, isCompressed, isInfinity, isNormalized, isValid, multiply, normalize, satisfiesCofactor, scaleX, scaleY, timesPow2, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SecP224K1Point

          public SecP224K1Point(ECCurve curve,
                        ECFieldElement x,
                        ECFieldElement y)

      Deprecated. Use ECCurve.createPoint to construct points
      Create a point which encodes with point compression.
      Parameters:
        `curve` - the curve to use
        `x` - affine x co-ordinate
        `y` - affine y co-ordinate

    - #### SecP224K1Point

          public SecP224K1Point(ECCurve curve,
                        ECFieldElement x,
                        ECFieldElement y,
                        boolean withCompression)

      Deprecated. per-point compression property will be removed, refer `ECPoint.getEncoded(boolean)`
      Create a point that encodes with or without point compresion.
      Parameters:
        `curve` - the curve to use
        `x` - affine x co-ordinate
        `y` - affine y co-ordinate
        `withCompression` - if true encode with point compression

  - ### Method Detail

    - #### detach

          protected ECPoint detach()

      Specified by:
        `detach` in class `ECPoint`

    - #### add

          public ECPoint add(ECPoint b)

      Specified by:
        `add` in class `ECPoint`

    - #### twice

          public ECPoint twice()

      Specified by:
        `twice` in class `ECPoint`

    - #### twicePlus

          public ECPoint twicePlus(ECPoint b)

      Overrides:
        `twicePlus` in class `ECPoint`

    - #### threeTimes

          public ECPoint threeTimes()

      Overrides:
        `threeTimes` in class `ECPoint`

    - #### negate

          public ECPoint negate()

      Specified by:
        `negate` in class `ECPoint`